io.vertx.reactivex.sqlclient

## Class PreparedQuery<T>

- java.lang.Object
- - io.vertx.reactivex.sqlclient.Query<T>
  - - io.vertx.reactivex.sqlclient.PreparedQuery<T>

-     public class PreparedQuery<T>
      extends Query<T>

  A query for a prepared statement allowing parameterized execution of the query, this query will use a prepared statement.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<PreparedQuery>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreparedQuery(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)`
    `PreparedQuery(PreparedQuery delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `void` | `execute()` Execute the query.
    `void` | `execute(Handler<AsyncResult<T>> handler)` Execute the query.
    `void` | `execute(Tuple tuple)` Execute the query.
    `void` | `execute(Tuple tuple, Handler<AsyncResult<T>> handler)` Execute the query.
    `void` | `executeBatch(List<Tuple> batch)` Execute the query with a batch of tuples.
    `void` | `executeBatch(List<Tuple> batch, Handler<AsyncResult<T>> handler)` Execute the query with a batch of tuples.
    `PreparedQuery` | `getDelegate()`
    `int` | `hashCode()`
    `<U> PreparedQuery<RowSet<U>>` | `mapping(java.util.function.Function<Row,U> mapper)` Use the specified `mapper` for mapping `Row` to ``.
    `static <T> PreparedQuery<T>` | `newInstance(PreparedQuery arg)`
    `static <T> PreparedQuery<T>` | `newInstance(PreparedQuery arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)`
    `Single<T>` | `rxExecute()` Execute the query.
    `Single<T>` | `rxExecute(Tuple tuple)` Execute the query.
    `Single<T>` | `rxExecuteBatch(List<Tuple> batch)` Execute the query with a batch of tuples.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.Query

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PreparedQuery> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### PreparedQuery

          public PreparedQuery(PreparedQuery delegate)

    - #### PreparedQuery

          public PreparedQuery(Object delegate,
                               io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Query<T>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Query<T>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Query<T>`

    - #### getDelegate

          public PreparedQuery getDelegate()

      Overrides:
        `getDelegate` in class `Query<T>`

    - #### execute

          public void execute(Handler<AsyncResult<T>> handler)

      Execute the query.
      Overrides:
        `execute` in class `Query<T>`
      Parameters:
        `handler` - the handler receiving the response

    - #### execute

          public void execute()

      Execute the query.
      Overrides:
        `execute` in class `Query<T>`

    - #### rxExecute

          public Single<T> rxExecute()

      Execute the query.
      Overrides:
        `rxExecute` in class `Query<T>`
      Returns:

    - #### execute

          public void execute(Tuple tuple,
                              Handler<AsyncResult<T>> handler)

      Execute the query.
      Parameters:
        `tuple` -
        `handler` - the handler receiving the response

    - #### execute

          public void execute(Tuple tuple)

      Execute the query.
      Parameters:
        `tuple` -

    - #### rxExecute

          public Single<T> rxExecute(Tuple tuple)

      Execute the query.
      Parameters:
        `tuple` -
      Returns:

    - #### executeBatch

          public void executeBatch(List<Tuple> batch,
                                   Handler<AsyncResult<T>> handler)

      Execute the query with a batch of tuples.
      Parameters:
        `batch` - the batch of tuples
        `handler` - the handler receiving the response

    - #### executeBatch

          public void executeBatch(List<Tuple> batch)

      Execute the query with a batch of tuples.
      Parameters:
        `batch` - the batch of tuples

    - #### rxExecuteBatch

          public Single<T> rxExecuteBatch(List<Tuple> batch)

      Execute the query with a batch of tuples.
      Parameters:
        `batch` - the batch of tuples
      Returns:

    - #### mapping

          public <U> PreparedQuery<RowSet<U>> mapping(java.util.function.Function<Row,U> mapper)

      Use the specified `mapper` for mapping `Row` to ``.
      Overrides:
        `mapping` in class `Query<T>`
      Parameters:
        `mapper` -
      Returns:

    - #### newInstance

          public static <T> PreparedQuery<T> newInstance(PreparedQuery arg)

    - #### newInstance

          public static <T> PreparedQuery<T> newInstance(PreparedQuery arg,
                                                         io.vertx.lang.rx.TypeArg<T> __typeArg_T)

Copyright © 2021 Eclipse. All rights reserved.